Page MenuHomePhabricator

Underreporting WikiSource edits?
Closed, ResolvedPublic

Description

I was looking at this historical edit counts for https://stats.wikimedia.org/v2/#/wikisource.org/contributing/edits/normal|bar|2-Year~2016070100~2018080300|~total and just gut check comparing this against the # of edits https://en.wikisource.org/wiki/Special:RecentChanges?hidebots=1&hidenewpages=1&hidecategorization=1&hideWikibase=1&limit=500&days=7&urlversion=2 and that doesn't even seem realistic for all wikisources -- just English, Italian and French would probably result in that number. Are edits getting lost in that historical statistic? is the most recent month more realistic?

Event Timeline

Astinson created this task.Aug 3 2018, 1:27 PM
Restricted Application added a project: Analytics. · View Herald TranscriptAug 3 2018, 1:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I bet I know why that isn't working: the edit count may not be counting the contributions to the Proofread page extension namespaces?

Hi again @Astinson,
The wikisource item in Wikistats selector refers to the wikisource.org url, not every wikisource bundled together.
See https://stats.wikimedia.org/v2/#/en.wikisource.org/contributing/editors/normal|line|2-Year~2016070100~2018080300|~total for the number of edits on en.wikisource.org for instance.
We plan on providing "project-aggregated" metrics in wikistats, but it's not available as of today.
Cheers
Joseph

@JAllemandou That is not clear on the labeling of that item -- it says "Sources" which suggests a plural set of projects.

is there anyway we could run a report that produces the country pageview day for all WikiSources for last month and then about a year ago? Otherwise, I am in the situation of having to pull each set out manually from the tool.

@Astinson the ultimate solution to this is the parent task that Nuria just added. If you need answers quicker, I'm happy to help you write some sql and get to some answers. Ping me and we'll dive in.

Nuria added a subscriber: Nuria.Aug 6 2018, 4:44 PM

@Astinson : labelling comes from sitematrix : https://meta.wikimedia.org/w/api.php?action=sitematrix Please fix as needed be, we just present the labeling there. This is the entry on the sitematrix:

{
              "url": "https://wikisource.org",
              "dbname": "sourceswiki",
              "code": "sources",
              "sitename": "Wikisource"
 },

@Milimetric @Nuria The amazing @Samwalton9 came to my rescue with some scripting and API pulls and got pretty far. I think for the quick and dirty stuff I need right now, that will do for me.

Milimetric closed this task as Resolved.Aug 9 2018, 3:47 PM
Milimetric claimed this task.

Sounds like this is resolved, thanks @Samwalton9